package com.uas.platform.b2b.service;

import org.springframework.ui.ModelMap;

public interface PurcOrderService {

	/**
	 * 解除供应商关系（禁用）
	 * 
	 * @param id
	 */
	public ModelMap relieve(Long id);

	/**
	 * 启用供应商
	 * 
	 * @param id
	 * @return
	 */
	public ModelMap activeVend(Long id);
	
	/**
	 * 禁用客户
	 * 
	 * @param id
	 * @return
	 */
	public ModelMap disableCust(Long id);

	/**
	 * 启用客户
	 * 
	 * @param id
	 * @return
	 */
	public ModelMap activeCust(Long id);


	ModelMap relieveServicer(Long id);

	ModelMap activeServicer(Long id);
}
